Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Functions | Variables
genlib.h File Reference

## Functions
void | derror (const char *fmt,...)
void * | emalloc (size_t size)
void * | erealloc (void *ptr, size_t size)
void | usage (void)
void | yyerror (char *)
int | yyparse (void)
void | put_variable (void *)
void | cline (const char *stmnt)
void | fline (const char *stmnt)
const char * | nctype (nc_type)
const char * | ncctype (nc_type)
char * | cstrstr (char *, size_t)
char * | fstrstr (char *, size_t)
char * | fstring (nc_type, void *, int)
void | define_netcdf (char *netcdfname)
void | load_netcdf (void *rec_start)
void | nc_fill (nc_type, long, void *, union generic)
void | nc_getfill (nc_type, union generic *)
void | nc_putfill (nc_type, void *, union generic *)
void | init_netcdf (void)
void | close_netcdf (void)

## Variables
char * | progname
char * | cdlname

## Function Documentation

## ◆ cline()

void cline | ( | const char * | stmnt | ) |

## ◆ close_netcdf()

void close_netcdf | ( | void |  | ) |

## ◆ cstrstr()

char * cstrstr | ( | char * | ,
|  | size_t | )

## ◆ define_netcdf()

void define_netcdf | ( | char * | netcdfname | ) |

## ◆ derror()

void derror | ( | const char * | fmt,
|  |  | ... )
| extern

## ◆ emalloc()

void * emalloc | ( | size_t | size | ) |
| extern

## ◆ erealloc()

void * erealloc | ( | void * | ptr,
|  | size_t | size )
| extern

## ◆ fline()

void fline | ( | const char * | stmnt | ) |

## ◆ fstring()

char * fstring | ( | nc_type | ,
|  | void * | ,
|  | int | )

## ◆ fstrstr()

char * fstrstr | ( | char * | ,
|  | size_t | )

## ◆ init_netcdf()

void init_netcdf | ( | void |  | ) |

## ◆ load_netcdf()

void load_netcdf | ( | void * | rec_start | ) |

## ◆ nc_fill()

void nc_fill | ( | nc_type | ,
|  | long | ,
|  | void * | ,
|  | union generic | )

## ◆ nc_getfill()

void nc_getfill | ( | nc_type | ,
|  | union generic * | )

## ◆ nc_putfill()

void nc_putfill | ( | nc_type | ,
|  | void * | ,
|  | union generic * | )

## ◆ ncctype()

const char * ncctype | ( | nc_type |  | ) |

## ◆ nctype()

const char * nctype | ( | nc_type |  | ) |

## ◆ put_variable()

void put_variable | ( | void * |  | ) |
| extern

## ◆ usage()

void usage | ( | void |  | ) |
| extern

## ◆ yyerror()

void yyerror | ( | char * |  | ) |
| extern

## ◆ yyparse()

int yyparse | ( | void |  | ) |
| extern

## Variable Documentation

## ◆ cdlname

char* cdlname
| extern

## ◆ progname

char* progname
| extern